To run Simmer Pro Recipes you'll need PHP 7.0+ running on your site. If you're unsure which version of PHP your site is using, ask your host. Most major hosting companies use a version of PHP that works for WordPress sites and this plugin.

Simmer Pro Recipes works with all modern browsers across all types of mobile and desktop devices and viewports.

Simmer plugins are not compatible with non-WordPress systems.

Did this answer your question?